org.apache.poi.hslf.blip

## Class DIB

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFPictureData
  - - org.apache.poi.hslf.blip.Bitmap
    - - org.apache.poi.hslf.blip.DIB

- All Implemented Interfaces:
    GenericRecord, PictureData

      public final class DIB
      extends Bitmap

  Represents a DIB picture data in a PPT file

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PictureData

      `PictureData.PictureType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.usermodel.HSLFPictureData

      `CHECKSUM_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIB()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `addBMPHeader(byte[] data)`
    `byte[]` | `getData()` Returns the binary data of this Picture
    `int` | `getSignature()` DIB signature is `0x7A80` or `0x7A90`
    `PictureData.PictureType` | `getType()`
    `void` | `setData(byte[] data)` Sets the binary picture data
    `void` | `setSignature(int signature)` Sets the DIB signature - either `0x7A80` or `0x7A90`

    - ### Methods inherited from class org.apache.poi.hslf.blip.Bitmap

      `getImageDimension`

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFPictureData

      `create, getChecksum, getChecksum, getContentType, getGenericProperties, getHeader, getImageDimensionInPixels, getIndex, getOffset, getRawData, getUID, getUIDInstanceCount, setIndex, setOffset, setRawData, setUIDInstanceCount, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### DIB

          public DIB()

  - ### Method Detail

    - #### getType

          public PictureData.PictureType getType()

      Returns:
        the picture type

    - #### getSignature

          public int getSignature()

      DIB signature is `0x7A80` or `0x7A90`
      Specified by:
        `getSignature` in class `HSLFPictureData`
      Returns:
        DIB signature (`0x7A80` or `0x7A90`)

    - #### setSignature

          public void setSignature(int signature)

      Sets the DIB signature - either `0x7A80` or `0x7A90`
      Specified by:
        `setSignature` in class `HSLFPictureData`

    - #### getData

          public byte[] getData()

      Description copied from interface: `PictureData`
      Returns the binary data of this Picture
      Specified by:
        `getData` in interface `PictureData`
      Overrides:
        `getData` in class `Bitmap`
      Returns:
        picture data

    - #### addBMPHeader

          public static byte[] addBMPHeader(byte[] data)

    - #### setData

          public void setData(byte[] data)
                       throws java.io.IOException

      Description copied from interface: `PictureData`
      Sets the binary picture data
      Specified by:
        `setData` in interface `PictureData`
      Overrides:
        `setData` in class `Bitmap`
      Parameters:
        `data` - picture data
      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.